phpCAS version 1.3.6

Functions | Variables
PGT storage
User interface » Configuration

## Functions
static | phpCAS::setPGTStorage ($storage)
static | phpCAS::setPGTStorageDb ($dsn_or_pdo, $username='', $password='', $table='', $driver_options=null)
static | phpCAS::setPGTStorageFile ($path='')

## Variables
const | CAS_PGT_STORAGE_FILE_DEFAULT_PATH session_save_path()

## Detailed Description

## Function Documentation

## ◆ setPGTStorage()

static phpCAS::setPGTStorage | ( |  | $storage | ) |
| static

This method can be used to set a custom PGT storage object.

Parameters

  CAS_PGTStorage | $storage | a PGT storage object that inherits from the CAS_PGTStorage class

Returns
  void

Definition at line 781 of file CAS.php.

References phpCAS\_validateProxyExists(), phpCAS\error(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## ◆ setPGTStorageDb()

static phpCAS::setPGTStorageDb | ( |  | $dsn_or_pdo,
|  |  | $username = `''`,
|  |  | $password = `''`,
|  |  | $table = `''`,
|  |  | $driver_options = `null`
| ) |  |
| static

This method is used to tell phpCAS to store the response of the CAS server to PGT requests in a database.

Parameters

  string | $dsn_or_pdo | a dsn string to use for creating a PDO object or a PDO object
  string | $username | the username to use when connecting to the database
  string | $password | the password to use when connecting to the database
  string | $table | the table to use for storing and retrieving PGT's
  string | $driver_options | any driver options to use when connecting to the database

Returns
  void

Definition at line 811 of file CAS.php.

References $driver_options, phpCAS\_validateProxyExists(), phpCAS\error(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## ◆ setPGTStorageFile()

static phpCAS::setPGTStorageFile | ( |  | $path = `''` | ) |
| static

This method is used to tell phpCAS to store the response of the CAS server to PGT requests onto the filesystem.

Parameters

  string | $path | the path where the PGT's should be stored

Returns
  void

Examples:
  example_pgt_storage_file.php.

Definition at line 833 of file CAS.php.

References phpCAS\_validateProxyExists(), phpCAS\error(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## Variable Documentation

## ◆ CAS_PGT_STORAGE_FILE_DEFAULT_PATH

const CAS_PGT_STORAGE_FILE_DEFAULT_PATH session_save_path()

Default path used when storing PGT's to file

Definition at line 155 of file CAS.php.

Referenced by CAS_PGTStorage_File\__construct().